# HealAchv | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class HealAchv

#### Hierarchy (View Summary)

- Achv
  - HealAchv

- Defined in src/system/achv.ts:147

##### Index

### Constructors

constructor

### Properties

description
hasParent
healAmount
iconImage
id
localizationKey
name
parentId
score
secret

### Methods

getDescription
getIconImage
getName
getTier
setSecret
validate

## Constructors

### constructor

- new HealAchv(
  localizationKey: string,
  name: string,
  healAmount: number,
  iconImage: string,
  score: number,
  ): HealAchv

  #### Parameters

  - localizationKey: string
  - name: string
  - healAmount: number
  - iconImage: string
  - score: number

  #### Returns HealAchv

  Overrides Achv.constructor

  - Defined in src/system/achv.ts:150

## Properties

### description

description: string

Inherited from Achv.description

- Defined in src/system/achv.ts:32

### hasParent

hasParent: boolean

Inherited from Achv.hasParent

- Defined in src/system/achv.ts:37

### healAmount

healAmount: number

- Defined in src/system/achv.ts:148

### iconImage

iconImage: string

Inherited from Achv.iconImage

- Defined in src/system/achv.ts:33

### id

id: string

Inherited from Achv.id

- Defined in src/system/achv.ts:30

### localizationKey

localizationKey: string

Inherited from Achv.localizationKey

- Defined in src/system/achv.ts:29

### name

name: string

Inherited from Achv.name

- Defined in src/system/achv.ts:31

### parentId

parentId: string

Inherited from Achv.parentId

- Defined in src/system/achv.ts:38

### score

score: number

Inherited from Achv.score

- Defined in src/system/achv.ts:34

### secret

secret: boolean

Inherited from Achv.secret

- Defined in src/system/achv.ts:36

## Methods

### getDescription

- getDescription(): string

  #### Returns string

  Inherited from Achv.getDescription

  - Defined in src/system/achv.ts:71

### getIconImage

- getIconImage(): string

  #### Returns string

  Inherited from Achv.getIconImage

  - Defined in src/system/achv.ts:75

### getName

- getName(playerGender?: PlayerGender ): string

  Get the name of the achievement based on the gender of the player

  #### Parameters

  - playerGender: PlayerGender = PlayerGender.UNSET

    the gender of the player (default: `PlayerGender.UNSET`)

  #### Returns string

  the name of the achievement localized for the player gender

  Inherited from Achv.getName

  - Defined in src/system/achv.ts:63

### getTier

- getTier(): AchvTier

  #### Returns AchvTier

  Inherited from Achv.getTier

  - Defined in src/system/achv.ts:89

### setSecret

- setSecret(hasParent?: boolean): this

  #### Parameters

  - `Optional` hasParent: boolean

  #### Returns this

  Inherited from Achv.setSecret

  - Defined in src/system/achv.ts:79

### validate

- validate(args?: any[]): boolean

  #### Parameters

  - `Optional` args: any[]

  #### Returns boolean

  Inherited from Achv.validate

  - Defined in src/system/achv.ts:85